import es
import playerlib, popuplib, random, gamethread

menu = 0
weps = ('m4a1', 'ak47', 'famas', 'awp', 'scout', 'mp5navy', 'galil', 'm249')
players = {}

def load():
    global menu
    menu = popuplib.easymenu('choose', '_popup_choice', player_men)
    menu.settitle('Choose...')
    menu.addoption('hp', 'More Health - Less Speed')
    menu.addoption('speed', 'More Speed - Less Health')
    menu.addoption('wep', 'More Powerful Weapons - Less Speed & Health')
    menu.addoption('normal', 'Normal Gameplay')
    if not es.exists('saycommand', 'menu'):
        es.regsaycmd('menu', 'speed_or_hp/player_menu')
    for player in playerlib.getUseridList('#all'):
        user = playerlib.uniqueid(player, True)
        if not user in players:
            default(user)

def unload():
    menu.delete()
    players.clear()

def default(user):
    global players
    players[user] = {}
    players[user]['choice'] = 0
    players[user]['bought'] = 0
    players[user]['menu'] = 0

def player_activate(ev):
    userid = ev['userid']
    user = playerlib.uniqueid(userid, True)
    if not user in players:
        default(user)

def player_menu():
    global players
    userid = es.getcmduserid()
    user = playerlib.uniqueid(userid, True)
    if players[user]['menu'] == 0:
        menu.send(userid)
    else:
        es.tell(userid, '#multi', '#green[#lightgreenSpeed or HP#green] #defaultYou can only open the menu #lightgreenone #defaulttime after spawn!')
    players[user]['menu'] = 1

def player_spawn(ev):
    global players
    userid = ev['userid']
    player = playerlib.getPlayer(userid)
    user = playerlib.uniqueid(userid, True)
    if players[user]['choice'] == 0:
        menu.send(userid)
    elif players[user]['choice'] == 'hp':
        player.add('health', 75)
        player.set('speed', .7)
    elif players[user]['choice'] == 'speed':
        player.set('health', 55)
        player.set('speed', 1.2)
    elif players[user]['choice'] == 'wep':
        player.set('health', 55)
        player.set('speed', .7)
    elif players[user]['choice'] == 'normal':
        player.set('health', 100)
        player.set('speed', 1)
    strip_player(userid)
    players[user]['menu'] = 0

def player_men(userid, choice, popupid):
    global players
    user = playerlib.uniqueid(userid, True)
    player = playerlib.getPlayer(userid)
    if choice == 'hp':
        players[user]['choice'] = 'hp'
        player.set('health', 175)
        player.set('speed', .7)
    elif choice == 'speed':
        players[user]['choice'] = 'speed'
        player.set('health', 55)
        player.set('speed', 1.2)
    elif choice == 'wep':
        players[user]['choice'] = 'wep'
        player.set('health', 55)
        player.set('speed', .7)
    elif choice == 'normal':
        players[user]['choice'] = 'normal'
        player.set('health', 100)
        player.set('speed', 1)
    strip_player(userid)

def strip_player(userid):
    user = playerlib.uniqueid(userid, True)
    if players[user]['choice'] == 'wep':
        es.server.cmd('es_xfire %s player_weaponstrip kill' % userid)
        es.server.cmd('es_xgive %s player_weaponstrip' % userid)
        es.server.cmd('es_xfire %s player_weaponstrip strip' % userid)
        gamethread.delayed(0, es.server.cmd, ('es_xgive %s weapon_knife' % userid))
        give_weps(userid)

def give_weps(userid):
    rwep = random.choice(weps)
    gamethread.delayed(.1, es.server.cmd, ('es_xgive %s weapon_%s' % (userid, rwep)))
